package com.supervision.enums;

import cn.hutool.core.collection.CollUtil;

import java.util.ArrayList;
import java.util.List;

public enum IdentifyIntentEnum {
    业务的受理条件("业务的受理条件", CollUtil.newArrayList("")),
    业务的办理流程("业务的办理流程", CollUtil.newArrayList("")),
    业务的材料清单("业务的材料清单", CollUtil.newArrayList("")),
    业务的设定依据("业务的设定依据", CollUtil.newArrayList("")),
    业务的实施依据("业务的实施依据", CollUtil.newArrayList("")),
    业务的办理途径("业务的办理途径", CollUtil.newArrayList("")),
    业务的办理窗口("业务的办理窗口", CollUtil.newArrayList(""));

    private String intent;

    private List<String> explainList;

    IdentifyIntentEnum(String intent, List<String> explainList) {
        this.intent = intent;
        this.explainList = explainList;
    }

    public String getIntent() {
        return intent;
    }

    public List<String> getExplainList() {
        return explainList;
    }
}
