package com.supervision.qanything.dto;

import lombok.Data;

import java.util.List;

@Data
public class ChatResult {

    /**
     * 本轮提问
     */
    private String question;

    /**
     * 本轮回答
     */
    private String response;

    /**
     * 历史问答
     */
    private List<HistoryDTO> history;

    /**
     * 文档出处
     */
    private List<SourceDTO> source;

}
